- Create Tag
- Get Export Data
- Get Tag
- Get Tags
- Get Tags Tree List
- Update Tag
- Delete Tag
POST /api/v1/governance/tagCreate a new tagResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new tag",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/tag/exportGet Export DataResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/export" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get Export Data",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/tag/{tagId}Get a tag by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"dq_tahg".string
Example:
"Customer ID".string
string
string
Example:
"mssql".string
Example:
"SELECT * FROM sys.sensitivity_classifications ...".string
string
Example:
"PENDING".boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.string
integer
Example:
0.integer
Example:
0.integer
Example:
0.string
string
integer
Example:
0.integer
Example:
1.string
string
string
Example:
"dqlabs.L2.dq_tahg".string
string
string
string
string
string
Example:
"9949eaa7-117e-5061-a31b-ffb5020fa9e5".string
Example:
"8d5e0daf-e97b-4cbb-81c3-76f509b869b9".string
Example:
"MSSQL".string
Example:
"2026-09-20T15:46:27.529179Z".string
Example:
"2026-09-21T06:39:16.453175Z".string
string
integer
Example:
0.object[]
object[]
object[]
string
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/{tagId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a tag by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "dq_tahg",
"description": "Customer ID",
"type": null,
"level": null,
"source": "mssql",
"native_query_run": "SELECT * FROM sys.sensitivity_classifications ...",
"parent_id": null,
"status": "PENDING",
"is_masked_data": false,
"is_active": true,
"is_deleted": false,
"score": null,
"total_alerts": 0,
"total_issues": 0,
"linked_asset_count": 0,
"total_likes": null,
"total_dislikes": null,
"total_conversations": 0,
"total_views": 1,
"owner": null,
"user": null,
"qualified_name": "dqlabs.L2.dq_tahg",
"freshness_sla": null,
"schema_stability": null,
"definition": null,
"context": null,
"who_should_use_this": null,
"id": "9949eaa7-117e-5061-a31b-ffb5020fa9e5",
"source_id": "8d5e0daf-e97b-4cbb-81c3-76f509b869b9",
"source_type": "MSSQL",
"created_at": "2026-09-20T15:46:27.529179Z",
"modified_at": "2026-09-21T06:39:16.453175Z",
"created_by": null,
"modified_by": null,
"linked_assets": 0,
"parents": [],
"viewers": [
{
"id": "08ba2090-a236-4538-a671-fca112ca8ad2",
"viewed_at": "2026-09-21T10:32:30.226257+00:00",
"name": null,
"email": "rejeesh@dqlabs.ai"
}
],
"audiences": [],
"recent_conversations": null,
"context_freshness": {
"description": null,
"owner_verified": null
}
}
}
POST /api/v1/governance/tag/listGet tags with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"dq_tahg".string
Example:
"Customer ID".string
Example:
"mssql".string
Example:
"SELECT * FROM sys.sensitivity_classifications ...".string
Example:
"PENDING".boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.string
Example:
"dqlabs.L2.dq_tahg".string
Example:
"9949eaa7-117e-5061-a31b-ffb5020fa9e5".string
Example:
"8d5e0daf-e97b-4cbb-81c3-76f509b869b9".string
Example:
"MSSQL".string
Example:
"2026-09-20T15:46:27.529179Z".string
Example:
"2026-09-20T15:46:18.069478Z".integer
Example:
0.object[]
object[]
integer
Example:
424.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get tags with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "dq_tahg",
"description": "Customer ID",
"source": "mssql",
"native_query_run": "SELECT * FROM sys.sensitivity_classifications ...",
"status": "PENDING",
"is_masked_data": false,
"is_active": true,
"is_deleted": false,
"total_alerts": 0,
"total_issues": 0,
"linked_asset_count": 0,
"total_conversations": 0,
"qualified_name": "dqlabs.L2.dq_tahg",
"id": "9949eaa7-117e-5061-a31b-ffb5020fa9e5",
"source_id": "8d5e0daf-e97b-4cbb-81c3-76f509b869b9",
"source_type": "MSSQL",
"created_at": "2026-09-20T15:46:27.529179Z",
"modified_at": "2026-09-20T15:46:18.069478Z",
"linked_assets": 0,
"viewers": [],
"audiences": []
}
],
"total_count": 424,
"metrics": []
}
}
POST /api/v1/governance/tag/tree-viewGet all tags for tree list without filters, sort, limit, offset, but with has_user_filterResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/tree-view" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get all tags for tree list without filters, sort, limit, offset, but with has_user_filter",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/governance/tag/{tagId}Update a tagPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/{tagId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a tag",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/tag/{tagId}Delete a tagPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/{tagId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a tag",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}